cabrillo.h File Reference
`#include "tqsllib.h"`

Go to the source code of this file.

## Classes

struct | tqsl_cabrilloField

## Macros

#define | CLIENT_STATIC static
| Static linkage.
#define | TQSL_CABRILLO_MAX_FIELDS 12
| Max field count.
#define | TQSL_CABRILLO_FIELD_NAME_LENGTH_MAX 64
| Max field name length.
#define | TQSL_CABRILLO_FIELD_VALUE_LENGTH_MAX 40
| Max field value length.
#define | TQSL_MIN_CABRILLO_MAP_FIELD 5
| First possible call-worked field.
#define | TQSL_DEF_CABRILLO_MAP_FIELD 8
| Default call-worked field.

## Typedefs

typedef void * | tQSL_Cabrillo
| Opaque cabrillo log type.

## Enumerations

enum | TQSL_CABRILLO_ERROR_TYPE { TQSL_CABRILLO_NO_ERROR, TQSL_CABRILLO_EOF, TQSL_CABRILLO_NO_START_RECORD, TQSL_CABRILLO_NO_CONTEST_RECORD, TQSL_CABRILLO_UNKNOWN_CONTEST, TQSL_CABRILLO_BAD_FIELD_DATA, TQSL_CABRILLO_EOR }
| Cabrillo status values.
enum | TQSL_CABRILLO_FREQ_TYPE { TQSL_CABRILLO_HF, TQSL_CABRILLO_VHF, TQSL_CABRILLO_UNKNOWN }

## Functions

DLLEXPORT const char *CALLCONVENTION | tqsl_cabrilloGetError (TQSL_CABRILLO_ERROR_TYPE err)
DLLEXPORT int CALLCONVENTION | tqsl_beginCabrillo (tQSL_Cabrillo *cabp, const char *filename)
DLLEXPORT int CALLCONVENTION | tqsl_getCabrilloContest (tQSL_Cabrillo cab, char *buf, int bufsiz)
DLLEXPORT int CALLCONVENTION | tqsl_getCabrilloFreqType (tQSL_Cabrillo cab, TQSL_CABRILLO_FREQ_TYPE *type)
DLLEXPORT int CALLCONVENTION | tqsl_getCabrilloLine (tQSL_Cabrillo cab, int *lineno)
DLLEXPORT const char *CALLCONVENTION | tqsl_getCabrilloRecordText (tQSL_Cabrillo cab)
DLLEXPORT int CALLCONVENTION | tqsl_getCabrilloField (tQSL_Cabrillo cab, tqsl_cabrilloField *field, TQSL_CABRILLO_ERROR_TYPE *err)
DLLEXPORT int CALLCONVENTION | tqsl_endCabrillo (tQSL_Cabrillo *cabp)